Bug 1467655 (CVE-2017-10794) - CVE-2017-10794 GraphicsMagick: buffer overflow in QuantumTransferMode
Summary: CVE-2017-10794 GraphicsMagick: buffer overflow in QuantumTransferMode
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-10794
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1467656 1467657
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-04 13:05 UTC by Pedro Sampaio
Modified: 2019-09-29 14:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:16:00 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-07-04 13:05:39 UTC
An issue was discovered in GraphicsMagick 1.3.25. When an RGB TIFF picture is processed (with metadata indicating a single sample per pixel) in coders/tiff.c, a buffer overflow occurs, related to QuantumTransferMode.

Upstream patch:

http://hg.code.sf.net/p/graphicsmagick/code/rev/a20bee0a0ad2

Comment 1 Pedro Sampaio 2017-07-04 13:05:47 UTC
External References:

https://security-tracker.debian.org/tracker/CVE-2017-10794

Comment 2 Pedro Sampaio 2017-07-04 13:06:13 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1467656]
Affects: fedora-all [bug 1467657]

Comment 3 Product Security DevOps Team 2019-06-08 03:16:00 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.